HSI_REGISTER_PORT_EV(9)

NAME
hsi_register_port_event - Register a client to receive port events

SYNOPSIS

int hsi_register_port_event(struct hsi_client * cl, void (*handler) (struct hsi_client *, unsigned long));

ARGUMENTS

cl
    HSI client that wants to receive port events

handler
    Event handler callback

DESCRIPTION

Clients should register a callback to be able to receive events from the ports. Registration should happen after claiming the port. The handler can be called in interrupt context.

Returns -errno on error, or 0 on success.

COPYRIGHT